package mapped;

import net.runelite.api.Nameable;
import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSIgnored;

@ObfuscatedName("rr")
public class Ignored extends User implements RSIgnored {
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = 728477389
   )
   int id;

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Lrr;I)I",
      garbageValue = "-987193014"
   )
   int method8264(Ignored var1) {
      return this.id - var1.id;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(Lrf;B)I",
      garbageValue = "-95"
   )
   public int vmethod8263(User var1) {
      return this.method8264((Ignored)var1);
   }

   public int compareTo(Nameable var1) {
      return this.method8264((Ignored)var1);
   }
}
